define([
    'Global',
    'SubHeaderView',
    'MainView',
    'ConsultsFilterView'
],
    function (Global, SubHeaderView, MainView, ConsultsFilterView) {
        'use strict';
        return Backbone.View.extend({
            initialize: function () {
            },

            render: function () {
                MainView
                    .instance()
                    .clearView();

                new SubHeaderView()
                    .render({
                        subtitle: 'Consults'
                    });

                new ConsultsFilterView().render();

                Global.getUtilities().eventAggregator.trigger("default-view");
            }
        });
    }
);